Skip to content

VideosSummary

Object

Summary information for videos across a time range. Includes total count and counts by buckets.

Fields

FieldTypeDescription
totalInt!

The total number of Videos within the time range.

startedCountInt!

The number of videos which started in the time range.

endedCountInt!

The number of videos which ended in the time range.

summaryStatisticsVideosSummaryStatistics!

Summary statistics for all videos within the summary’s time range and filters.

buckets[VideosSummaryBucket!]

A detailed summary of each bucket within the time range. Summary buckets are only returned if videosBucket is provided as a query parameter to videosSummary.

highestTotalBuckets[VideosHighestTotalBucket!]!

The bucket(s) with the greatest total across the parent’s buckets. Empty if no videosBucket was provided. All tied buckets are returned per group.

Arguments
NameTypeDescription
groupByVideosSummaryBucketType

Dimensions to keep distinct when finding the max. Must align with the query’s videosBucket: groupBy.fields must be a subset of videosBucket.fields If null, returns the single bucket with the greatest total across all buckets (plus any ties).